---
title: AddressErrors.regionCode
slug: Web/API/AddressErrors/regionCode
tags:
  - API
  - Error
  - Payment Request
  - Payment Request API
  - Property
  - Read-only
  - Reference
  - Validation
  - payment
  - paymentAddress
  - region
  - regionCode
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes a <strong><code>regionCode</code></strong> property when the address's {{domxref("PaymentAddress.regionCode", "regionCode")}} property couldn't be validated. The returned string explains the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>regionCodeError</em> = <em>AddressErrors</em>.regionCode;</pre>

<h3 id="Value">Value</h3>

<p>If the value specified in the {{domxref("PaymentAddress")}} object's {{domxref("PaymentAddress.regionCode", "regionCode")}} property could not be validated, this property contains a {{domxref("DOMString")}} offering a human-readable explanation of the validation error and offers suggestions for correcting it.</p>

<p>If the <code>regionCode</code> value was validated successfully, this property is not included in the <code>AddressErrors</code> object.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>The region code is derived from the ISO 3166-2 country subdivision name standard.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-regioncode','AddressErrors.regionCode')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.regionCode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="http://www.unece.org/cefact/locode/subdivisions.html">United Nations: UN/LOCODE Country Subdivisions ISO 3166-2</a></li>
 <li>{{interwiki("wikipedia", "ISO 3166-2")}} on Wikipedia</li>
</ul>
</div>
